Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05366 Core Minor Always Nov 16, 2013, 23:19 Nov 18, 2013, 13:16
Tester scoobydude51 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver harddriv.cpp
Version 0.151 Fixed in Version 0.152 Build Normal
Summary 05366: harddriv and clones, racedriv and clones: RTC Day and Month error and fails to start
Description every time I press start clock in ALL Hard Drivin' and Race Drivin' games I get an error. it says "Day Error Month Error 00,1900".


when that happens, the clock doesn't start. it just stays at 12:00AM. even if I change the time, and either hard reset or change a game and come back, It resets to 12:00AM.
Steps To Reproduce
Additional Information I set the Severity to "Minor" because this does not affect the game. the RTC, is used to record the time of day you play the game and (I believe) the time of day in the game itself. (ex. nighttime & daytime)
Flags
Regression Version
Affected Sets / Systems harddriv and clones, racedriv and clones
Attached Files
png file icon harddriv clock error screen.png (7,502 bytes) Nov 16, 2013, 23:19 Uploaded by scoobydude51
harddriv Clock Error Screen
scoobydude51
png file icon racedriv clock error screen.png (3,293 bytes) Nov 16, 2013, 23:20 Uploaded by scoobydude51
racedriv Clock Error Screen
scoobydude51
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.09992
haynor666
Tester
Nov 17, 2013, 12:05
edited on: Nov 17, 2013, 12:11
Probably game bug - game never meant to be runned after year 2000. Did you try set clock on PC back to 1999?

EDIT. It does not work even with 1999. But I managed to start clock with year 1989.
User avatar
No.09993
NekoEd
Senior Tester
Nov 17, 2013, 17:13
Hm, this one is tough. It's really both a bug in the game (stupid RTC with ridiculous limits) and a bug in MAME (force set RTC by system clock.) We may have to put in some kind of special case to force the year to 1989 just so the clock will run. Marking as "Direction Needed."
User avatar
No.09995
smf
Developer
Nov 17, 2013, 22:23
It's not tough. The error is caused because there is no rtc hooked up.

Setting the RTC to the system clock is not a bug, it should set it to whatever the clock would read if it had been left running all this time.
User avatar
No.09998
NekoEd
Senior Tester
Nov 18, 2013, 00:26
Ah, I was thinking it was an issue like some old Unixes, where they'll reject the RTC time if it's not within a specific time frame, as if they expected all installations to be out of service by a certain year. (DEC was a big culprit in this, most of their older OSes will refuse dates after a certain year and report an error or set the date to some default.)
User avatar
No.10001
smf
Developer
Nov 18, 2013, 13:16
Added a timekeeper to the hard drivin' board (SVN r26245)